<%@ page import="com.ibm.ws.batch.jobmanagement.web.util.JMCUtils" errorPage="errors/error.jsp" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<bean:define id="id"                 name="JobDetailForm" property="refId"              type="java.lang.String"/>
<bean:define id="currentPage"        name="JobDetailForm" property="currentPage"        type="java.lang.String"/>
<bean:define id="currentPageContent" name="JobDetailForm" property="currentPageContent" type="java.lang.String"/>
<bean:define id="numOfPages"         name="JobDetailForm" property="numOfPages"         type="java.lang.Integer"/>
<bean:define id="jobCurrentState"    name="JobDetailForm" property="jobCurrentState"    type="java.lang.String"/>
<bean:define id="canRefresh"         name="JobDetailForm" property="canRefresh"         type="java.lang.String"/>

<%
    id = JMCUtils.convertToCharset(id, response.getCharacterEncoding());
%>

  <form name="JobDetailForm" method="post" action="/jmc/viewJobLog.do" ENCTYPE="multipart/form-data">
  <tr>
    <td>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" width="50%" CLASS="framing-table">
      <tr> 
        <td class="table-text">
        <label for="joblogcontent" title="<bean:message key="jobLogViewTitle"/>">
        <textarea wrap="off" readonly="readonly" rows="40" cols="100" class="log-text" id="joblogcontent">
<%=currentPageContent%>
        </textarea>
        </label>
        </td>
      </tr>
<% if (numOfPages.intValue() > 1) { %>
      <!--  Block Section -->
      <TR>
        <TD CLASS="paging-button-section" VALIGN="baseline" WIDTH="1%" NOWRAP colspan="1">
        <SCRIPT language="javascript">
          document.write("<label for=\"paging-first\" title=\"<bean:message key="firstPage"/>\"><INPUT  TYPE=\"submit\" NAME=\"action\" VALUE=\"firstPage\"  title=\"<bean:message key="firstPage"/>\" CLASS=\"buttons\" ID=\"paging-first\" style='display:inline'></label>");
        </SCRIPT>
        <NOSCRIPT>
          <label for="paging-first" title="<bean:message key="firstPage"/>">
          <INPUT  TYPE="submit" NAME="action" VALUE="firstPage" CLASS="buttons" ID="paging-first">
          </label>
        </NOSCRIPT> 
        <SCRIPT language="javascript">
          document.write("<label for=\"paging-previous\" title=\"<bean:message key="previousPage"/>\"><INPUT  TYPE=\"submit\" NAME=\"action\" VALUE=\"previousPage\"  title=\"<bean:message key="previousPage"/>\" CLASS=\"buttons\" ID=\"paging-previous\" style='display:inline;margin-left: -0.5em'></label>");
        </SCRIPT>
        <NOSCRIPT>		    
          <label for="paging-previous" title="<bean:message key="previousPage"/>">
          <INPUT  TYPE="submit" NAME="action" VALUE="previousPage" CLASS="buttons" ID="paging-previous">
          </label>
        </NOSCRIPT> 
        <bean:message key="pageOf" arg0="<%=currentPage%>" arg1="<%=numOfPages.toString()%>"/>
        <SCRIPT language="javascript">
          document.write("<label for=\"paging-next\" title=\"<bean:message key="nextPage"/>\"><INPUT  TYPE=\"submit\" NAME=\"action\" VALUE=\"nextPage\"  title=\"<bean:message key="nextPage"/>\" CLASS=\"buttons\" ID=\"paging-next\" style='display:inline'></label>");
        </SCRIPT>
        <NOSCRIPT>		    
          <label for="paging-next" title="<bean:message key="nextPage"/>">
          <INPUT  TYPE="submit" NAME="action" VALUE="nextPage" CLASS="buttons" ID="paging-next">
          </label>
        </NOSCRIPT> 
        <SCRIPT language="javascript">
          document.write("<label for=\"paging-last\" title=\"<bean:message key="lastPage"/>\"><INPUT  TYPE=\"submit\" NAME=\"action\" VALUE=\"lastPage\"  title=\"<bean:message key="lastPage"/>\" CLASS=\"buttons\" ID=\"paging-last\" style='display:inline;margin-left: -0.5em'></label>");
        </SCRIPT>
        <NOSCRIPT>		    
          <label for="paging-last" title="<bean:message key="lastPage"/>">
          <INPUT  TYPE="submit" NAME="action" VALUE="lastPage" CLASS="buttons" ID="paging-last">
          </label>
        </NOSCRIPT>  
        &nbsp;&nbsp;&nbsp; <label for="jumpto" title="<bean:message key="jumpTo"/>"><bean:message key="jumpToPage"/>
        <INPUT TYPE="text" NAME="jumpto" size="3" class="noIndentTextEntry" id="jumpto"/></label>
        <SCRIPT language="javascript">
          document.write("<label for=\"paging-jump-to\" title=\"<bean:message key="jumpToPage"/>\"><INPUT  TYPE=\"submit\" NAME=\"action\" VALUE=\"jumpToPage\"  title=\"<bean:message key="jumpTo"/>\" CLASS=\"buttons\" ID=\"paging-jump-to\" style='display:inline;margin-left: -0.5em'></label>");
        </SCRIPT>
        <NOSCRIPT>		    
          <label for="paging-jump-to" title="<bean:message key="jumpToPage"/>">
          <INPUT  TYPE="submit" NAME="action" VALUE="jumpToPage" CLASS="buttons" ID="paging-jump-to">
          </label>
        </NOSCRIPT>            
        </TD>
      </TR>
      <!--  End of Block Section -->
<% } %>
    </TABLE>
    </td>
  </tr>
  <tr>
    <td class="navigation-button-section" VALIGN="top">
      <input type="hidden" name="refId" value="<%= id %>"/>
      <input type="hidden" name="jobCurrentState" value="<%= jobCurrentState %>"/>
      <input type="submit" name="button.refresh"  value="<bean:message key="button.refresh"/>"  class="buttons" id="button.refresh" style="margin-left: -0.5em;" <%=canRefresh.equals("true") ? "" : "disabled"%>>
      <input type="submit" name="button.download" value="<bean:message key="button.download"/>" class="buttons" id="button.download">
      <input type="submit" name="button.back"     value="<bean:message key="back"/>"            class="buttons" id="button.back">
    </td>
  </tr>
  </form>

<script>
	document.getElementById("joblogcontent").focus();
</script>
	