#  This program may be used, executed, copied, modified and distributed
#  without royalty for the purpose of developing, using, marketing, or distributing.

#
# script for deleting XD configuration objects
#
# author: bkmartin

import java.lang.Throwable as JavaThrowable

def convertToList(inlist):
     outlist=[]
     if (len(inlist)>0 and inlist[0]=='[' and inlist[len(inlist)-1]==']'):
        inlist = inlist[1:len(inlist)-1]
        clist = inlist.split(" ")
     else:
        clist = inlist.split("\n")
     for elem in clist:
        elem=elem.rstrip();
        if (len(elem)>0):
           outlist.append(elem)
     return outlist
      
def deleteGridScheduler():
   print "searching for grid scheduler"
   gridschedulersets=convertToList(AdminConfig.list("GridScheduler"))
   for gridscheduler in gridschedulersets:
      print "deleting gridscheduler"
      AdminConfig.remove(gridscheduler)         
      

deleteGridScheduler()

print "saving workspace"
AdminConfig.save()
print "finished."
